import Vue from 'vue'
import Vuex from 'vuex'
import login from './modules/login'
import channel from './modules/channel'
import course from './modules/course'
import getters from './getter'
import relation from './modules/relation'
import order from './modules/order'
import operation from './modules/operation'
import skill from './modules/skill'
import efun from './modules/efun'
import oppo from './modules/oppo'
import xyyf from './modules/xyyf'
Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    login,
    channel,
    course,
    relation,
    order,
    operation,
    skill,
    efun,
    oppo,
    xyyf,
  },
  getters
})

export default store
