import { getChannelData, getEfunChannelList} from '../../api/efun'

const efun = {
  state: {
    efunChannelList: [],
    channelData: []
  },
  mutations: {
    GET_CHANNEL_LIST: (state, data) => {
      state.efunChannelList = data
    },
    GET_CHANNEL_DATA: (state,data) => {
        state.channelData = data
    }
  },
  actions: {
    getChannelData({dispatch, commit }, data) {
        return new Promise((resolve, reject) => {
            getChannelData(data).then(res => {
            console.log(res.data)
            if(res.code == 200) {
              resolve(res.data);
              commit('GET_CHANNEL_DATA', res.data)
            }
          }).catch(error => {
            reject(error);
          })
        })
      },

      getEfunChannelList({dispatch, commit },code) {
        return new Promise((resolve, reject) => {
          getEfunChannelList(code).then(res => {
            console.log(res.data)
            if(res.code == 200) {
              resolve(res.data);
              commit('GET_CHANNEL_LIST', res.data)
            }
          }).catch(error => {
            reject(error);
          })
        })
      },
    // 清空数据
    clearList({
                dispatch,
                commit
              }) {
      commit('GET_CHANNEL_DATA', [])
    },
  }
}

export default efun
