import {userLogin} from '../../api/login';

const login = {
  state: {
    flag: false
  },
  mutations: {
    SET_FLAG: (state, flag) => {
      state.flag = flag
    }
  },
  actions: {
    Login({ commit }, userInfo) {
      // const userName = userInfo.userName.trim();
      // const passWord = userInfo.password.trim();
      return new Promise((resolve, reject) => {
        userLogin(userInfo).then(res => {
          console.log(res)
          if(res && res.code == 200) {
            localStorage.setItem("token", res.data.token);
            commit('SET_FLAG', true)
            resolve(res.data);
          }
        }).catch(error => {
          reject(error);
        })
      })
    }
  }
}

export default login
