import { getLogList } from '../../api/operation';

const log = {
  state: {
    logList: {}
  },
  mutations: {
    GET_LOG_LIST: (state, data) => {
      state.logList = data
    }
  },
  actions: {
    getLogList({dispatch, commit }, data) {
      return new Promise((resolve, reject) => {
        getLogList(data).then(res => {
          if(res.code == 200) {
            resolve(res.data);
            commit('GET_LOG_LIST', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    }
  }
}

export default log
