import request from '../utils/request'

import {
  Message,
  MessageBox
} from 'element-ui'

export function getEfunChannelList(code) {
  return request({
    url: `${process.env.EFUN_API}/channel`,
    method: 'get',
    params: {
      platformType: code
    }
  })

}
export function getChannelData(params) {
  console.log(params)
  return request({
    url: `${process.env.EFUN_API}/statistics`,
    method: 'get',
    params: {
      channel: params.channel,
      startDate: params.startDate,
      endDate: params.endDate,
    }
  })

}
