import {
  getXyyfMobileList,
  getXyyfData,
} from '../../api/xyyf'

const xyyf = {
  state: {
    xyyfChannelList: [],
    xyyfData: [],
  },
  mutations: {
    GET_XYYF_LIST: (state, data) => {
      state.xyyfList = data
    },
    GET_XYYF_DATA: (state, data) => {
      state.xyyfData = data
    },
  },
  actions: {
    // 获取学有义方渠道号
    getXyyfMobileList({
      dispatch,
      commit
    }) {
      return new Promise((resolve, reject) => {
        getXyyfMobileList().then(res => {
          console.log(3333333, res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_XYYF_LIST', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
    // 清空数据
    clearList({
      dispatch,
      commit
    }) {
      commit('GET_XYYF_DATA', [])
    },
    getXyyfData({
      dispatch,
      commit
    },data) {
      return new Promise((resolve, reject) => {
        console.log(data)
        getXyyfData(data).then(res => {
          console.log(res.data)
          if (res.code == 200) {
            resolve(res.data);
            commit('GET_XYYF_DATA', res.data)
          }
        }).catch(error => {
          reject(error);
        })
      })
    },
  }
}

export default xyyf
